Bug 57393 - oracle support in mod_php4 is broken.
Summary: oracle support in mod_php4 is broken.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-30 09:00 UTC by Igor Karpov
Modified: 2003-10-01 17:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Karpov 2003-09-30 09:00:33 UTC
mod_php4, built with oracle client gives the following error when trying
to start apache:

yard:/root> /usr/local/etc/rc.d/apache.sh start
Syntax error on line 237 of /usr/local/etc/apache/httpd.conf:
Cannot load /usr/local/libexec/apache/libphp4.so into server: /usr/local/libexec
/apache/libphp4.so: Undefined symbol "__wrap_sprintf"

This error exists with apache-1.3.x as well with apache-2.x. It also exists
on FreeBSD-5.1

How-To-Repeat: Install mod_php4, built with oracle client support. Then try to start apache.
Comment 1 Dirk Meyer freebsd_committer 2003-10-01 06:33:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

over to maintainter 

Suggested Fix at: 
http://www.setuid.de/oracle.html 

the port/package should create the missing files: 

echo -lwrap >$ORACLE_HOME/lib/sysliblist 

I can generate a patch if needed.
Comment 2 Dirk Meyer freebsd_committer 2003-10-01 07:02:44 UTC
State Changed
From-To: open->feedback


Please test the patch: 
Maintainer, please approve it. 

Index: Makefile 
=================================================================== 
RCS file: /home/pcvs/ports/databases/oracle7-client/Makefile,v 
retrieving revision 1.5 
diff -u -r1.5 Makefile 
--- Makefile	28 Jul 2003 10:32:47 -0000	1.5 
+++ Makefile	1 Oct 2003 06:02:12 -0000 
@@ -6,7 +6,7 @@ 
# 

PORTNAME=	oracle7-client 
-PORTVERSION=	0.01 
+PORTVERSION=	0.02 
CATEGORIES=	databases 
MASTER_SITES=	ftp://www.kuzbass.ru/pub/freebsd/oracle/  
ftp://ftp.atnet.ru/pub/OS/FreeBSD/oracle/  
@@ -32,6 +32,7 @@ 
@${CP} -pRP ${WRKSRC}/network ${WRKSRC}/ocommon ${WRKSRC}/rdbms  
${ORACLE_HOME} 
@${LN} -sf rdbms/lib ${ORACLE_HOME}/lib 
+	${ECHO_CMD} "-lwrap" >> ${ORACLE_HOME}/lib/sysliblist 

post-install: 
@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL 
Index: pkg-plist 
=================================================================== 
RCS file: /home/pcvs/ports/databases/oracle7-client/pkg-plist,v 
retrieving revision 1.2 
diff -u -r1.2 pkg-plist 
--- pkg-plist	9 Apr 2003 11:31:31 -0000	1.2 
+++ pkg-plist	1 Oct 2003 06:02:16 -0000 
@@ -1,4 +1,3 @@ 
-%%ORACLE_PREFIX%%/lib 
%%ORACLE_PREFIX%%/network/admin/tnsnames.ora 
%%ORACLE_PREFIX%%/ocommon/nls/mesg/lxbus.msb 
%%ORACLE_PREFIX%%/ocommon/nls/mesg/lxeus.msb 
@@ -1697,6 +1696,7 @@ 
%%ORACLE_PREFIX%%/rdbms/lib/ins_rdbms.mk 
%%ORACLE_PREFIX%%/rdbms/lib/libwrap.a 
%%ORACLE_PREFIX%%/rdbms/lib/libc3v6.a 
+%%ORACLE_PREFIX%%/rdbms/lib/sysliblist 
%%ORACLE_PREFIX%%/rdbms/install/xa/partial.prd 
%%ORACLE_PREFIX%%/rdbms/install/xa/xa.map 
%%ORACLE_PREFIX%%/rdbms/install/xa/xa.vrf 
@@ -1769,6 +1769,8 @@ 
%%ORACLE_PREFIX%%/rdbms/lib.old/libmdhh.a 
%%ORACLE_PREFIX%%/rdbms/lib.old/config.o 
%%ORACLE_PREFIX%%/rdbms/lib.old/sysliblist 
+@exec ln -s rdbms/lib %D/%%ORACLE_PREFIX%%/lib 
+@unexec rm -f %D/%%ORACLE_PREFIX%%/lib 
@dirrm %%ORACLE_PREFIX%%/network/admin 
@dirrm %%ORACLE_PREFIX%%/network 
@dirrm %%ORACLE_PREFIX%%/ocommon/install
Comment 3 dirk.meyer 2003-10-01 10:25:50 UTC
Igor Karpov wrote:

> Thanks for your efforts, apache is starting smoothly now, but mod_php4
> still doesn't work with oracle. It shows ORA-01019 when trying to call
> ora_logon and leaves a lot of httpd zombies...

You have memory problems, mabye your script is bad ...
$ grep 01019 /usr/local/oracle7/rdbms/mesg/*

you need some enviroment set in your rc.d/apache.sh

I used:
ORACLE_HOME=/usr/local/oracle7
NLS_LANG=american_america.WE8ISO8859P1
ORA_NLS32=${ORACLE_HOME}/ocommon/nls/admin/data
export ORACLE_HOME ORA_NLS32 NLS_LANG

I verified mod_php4 with this sequence:
ora_logon()
ora_open()
ora_parse()
ora_exec()
ora_fetch_into()
ora_close()
ora_logoff()

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 4 skv freebsd_committer 2003-10-01 17:23:53 UTC
State Changed
From-To: feedback->closed

Committed, thanks.